<template>
  <div class="contradiction-div">
    <Tabs value="name1" v-model="tabValue">
      <TabPane label="基本信息" name="1">
        <div class="title-style">身份信息</div>
        <Form :model="formInline" ref="form1" :disabled="mdParam.what === 'edit'" label-position="left" :label-width="130">
          <div v-for="(item, index) in formInline.userList" v-bind:key="index">
            <Row :gutter="16">
              <Col span="6">
                <FormItem label="当事人类型：" :prop="'userList.' + index + '.event_user_type'" :rules="[{required: true, message: '必填', trigger: 'change' }]">
                  <Select v-model="item.event_user_type" style="width:90%;" @on-change="checkUserType(item.event_user_type)">
                    <Option value="1">自然人</Option>
                    <Option value="2">社会组织</Option>
                    <Option value="3">企业</Option>
                    <Option value="4">政府机关</Option>
                  </Select>
                </FormItem>
              </Col>
              <Col span="6">
                <FormItem label="是否重点人员：" :prop="'userList.' + index + '.is_keynote'" :rules="[{required: true, message: '必填', trigger: 'change' }]">
                  <Select v-model="item.is_keynote" style="width:90%;">
                    <Option value="1">是</Option>
                    <Option value="2">否</Option>
                  </Select>
                </FormItem>
              </Col>
              <Col span="6" v-if="item.is_keynote === '1'">
                <FormItem label="重点人员类型：" :prop="'userList.' + index + '.keynote_type'" :rules="[{required: true, message: '必填', trigger: 'change' }]">
                  <Select v-model="item.keynote_type" style="width:90%;">
                    <Option value="1">前科劣迹人员</Option>
                    <Option value="2">社区矫正人员</Option>
                    <Option value="3">精神障碍患者</Option>
                    <Option value="4">三失一偏人员</Option>
                    <Option value="5">重点青少年</Option>
                    <Option value="6">刑满释放人员</Option>
                  </Select>
                </FormItem>
              </Col>
              <Col span="6" v-if="mdParam.flag === 'add'">
                <Button type="primary" v-if="index == 0" @click="addPerson">添加当事人</Button>
                <Button type="error" v-else-if="index > 0" @click="deletePerson(index)">删除当事人</Button>
              </Col>
            </Row>
            <Row v-if="item.event_user_type == '1'">
              <Col span="6">
                <FormItem label="当事人：" :prop="'userList.' + index + '.event_user_name'" :rules="[{required: true, message: '必填', trigger: 'blur'}]">
                  <Input v-model="item.event_user_name" style="width:90%;" placeholder="请输入当事人姓名"></Input>
                </FormItem>
              </Col>
              <Col span="6">
               <FormItem label="身份证号码：" :prop="'userList.' + index + '.event_cardno'" :rules="[{required: true, message: '必填', trigger: 'blur'}]">
                  <!-- <FormItem label="身份证号码：" :prop="'userList.' + index + '.event_cardno'" > -->

                  <Input v-model="item.event_cardno" style="width:90%;" placeholder="请输入身份证号码"></Input>
                </FormItem>
              </Col>
              <Col span="6">
                <FormItem label="联系电话：" :prop="'userList.' + index + '.event_tel'" :rules="[{required: true, message: '必填', trigger: 'blur'}]">
                  <Input v-model="item.event_tel" style="width:90%;" placeholder="请输入联系电话"></Input>
                </FormItem>
              </Col>
            </Row>
            <Row v-if="item.event_user_type == '2'" :gutter="16">
              <Col span="6">
                <FormItem label="机构代表：" :prop="'userList.' + index + '.event_represent'" :rules="[{required: true, message: '必填', trigger: 'blur'}]">
                  <Input v-model="item.event_represent" style="width:90%;" placeholder="请输入机构代表"></Input>
                </FormItem>
              </Col>
              <Col span="6">
                <FormItem label="身份证号码：" :prop="'userList.' + index + '.event_cardno'" >
                  <Input v-model="item.event_cardno" style="width:90%;" placeholder="请输入身份证号码"></Input>
                </FormItem>
              </Col>
              <Col span="6">
                <FormItem label="机构代码：" :prop="'userList.' + index + '.tyshxydm'" :rules="[{required: true, message: '必填', trigger: 'blur'}]">
                  <Input v-model="item.tyshxydm" style="width:90%;" placeholder="请输入机构代码"></Input>
                </FormItem>
              </Col>
              <Col span="6">
                <FormItem label="机构名称：" :prop="'userList.' + index + '.event_user_name'" :rules="[{required: true, message: '必填', trigger: 'blur'}]">
                  <Input v-model="item.event_user_name" style="width:90%;" placeholder="请输入机构名称"></Input>
                </FormItem>
              </Col>
              <Col span="6">
                <FormItem label="联系电话：" :prop="'userList.' + index + '.event_tel'" :rules="[{required: true, message: '必填', trigger: 'blur'}]">
                  <Input v-model="item.event_tel" style="width:90%;" placeholder="请输入联系电话"></Input>
                </FormItem>
              </Col>
            </Row>
            <Row v-if="item.event_user_type == '3'">
              <Col span="6">
                <FormItem label="法定代表：" :prop="'userList.' + index + '.event_represent'" :rules="[{required: true, message: '必填', trigger: 'blur'}]">
                  <Input v-model="item.event_represent" style="width:90%;" placeholder="请输入法定代表"></Input>
                </FormItem>
              </Col>
              <Col span="6">
                <FormItem label="身份证号码：" :prop="'userList.' + index + '.event_cardno'" >
                  <Input v-model="item.event_cardno" style="width:90%;" placeholder="请输入身份证号码"></Input>
                </FormItem>
              </Col>
              <Col span="6">
                <FormItem label="社会信用代码：" :prop="'userList.' + index + '.tyshxydm'" >
                  <Input v-model="item.tyshxydm" style="width:90%;" placeholder="请输入社会信用代码"></Input>
                </FormItem>
              </Col>
              <Col span="6">
                <FormItem label="单位名称：" :prop="'userList.' + index + '.event_user_name'" :rules="[{required: true, message: '必填', trigger: 'blur'}]">
                  <Input v-model="item.event_user_name" style="width:90%;" placeholder="请输入单位名称"></Input>
                </FormItem>
              </Col>
              <Col span="6">
                <FormItem label="联系电话：" :prop="'userList.' + index + '.event_tel'" :rules="[{required: true, message: '必填', trigger: 'blur'}]">
                  <Input v-model="item.event_tel" style="width:90%;" placeholder="请输入联系电话"></Input>
                </FormItem>
              </Col>
            </Row>
            <Row v-if="item.event_user_type == '4'">
              <Col span="6">
                <FormItem label="社会信用代码：" :prop="'userList.' + index + '.tyshxydm'" >
                  <Input v-model="item.tyshxydm" style="width:90%;" placeholder="请输入社会信用代码"></Input>
                </FormItem>
              </Col>
              <Col span="6">
                <FormItem label="单位名称：" :prop="'userList.' + index + '.event_user_name'" :rules="[{required: true, message: '必填', trigger: 'blur'}]">
                  <Input v-model="item.event_user_name" style="width:90%;" placeholder="请输入单位名称"></Input>
                </FormItem>
              </Col>
              <Col span="6">
                <FormItem label="联系电话：" :prop="'userList.' + index + '.event_tel'" :rules="[{required: true, message: '必填', trigger: 'blur'}]">
                  <Input v-model="item.event_tel" style="width:90%;" placeholder="请输入联系电话"></Input>
                </FormItem>
              </Col>
            </Row>
          </div>
        </Form>
        <div class="title-style">矛盾纠纷信息</div>
        <Form :model="formInline" ref="form2" label-position="left" :label-width="130">
          <Row>
            <Col span="6">
              <FormItem label="是否化解：" prop="is_resolve" :rules="[{required: true, message: '必填', trigger: 'change' }]">
                <Select v-model="formInline.is_resolve" :disabled="mdParam.what === 'edit' && !mdParam.dispose" style="width:90%">
                  <Option value="1">是</Option>
                  <Option value="2">否</Option>
                </Select>
              </FormItem>
            </Col>
            <Col span="6">
              <FormItem label="风险等级：">
                <Select v-model="formInline.risk_level" :disabled="mdParam.what === 'edit' && !mdParam.dispose && !mdParam.risk" style="width:90%">
                  <Option value="一般矛盾纠纷" label="一般矛盾纠纷">
                    <img class="level-option-img" src="@/assets/images/warning1.png" alt="">
                    <span style="padding-left: 10px;">一般矛盾纠纷</span>
                  </Option>
                  <Option value="复杂矛盾纠纷" label="复杂矛盾纠纷">
                    <img class="level-option-img" src="@/assets/images/warning2.png" alt="">
                    <span style="padding-left: 10px;">复杂矛盾纠纷</span>
                  </Option>
                  <Option value="重大矛盾纠纷" label="重大矛盾纠纷">
                    <img class="level-option-img" src="@/assets/images/warning3.png" alt="">
                    <span style="padding-left: 10px;">重大矛盾纠纷</span>
                  </Option>
                </Select>
              </FormItem>
            </Col>
            <Col span="6" v-if="mdParam.type > 1">
              <FormItem label="预计办结时间：" prop="term_time" :rules="[{required: true, type: 'date', message: '必填', trigger: 'change' }]">
                <DatePicker type="datetime" v-model="formInline.term_time" :disabled="mdParam.what === 'edit'  && !mdParam.dispose && !mdParam.risk" placeholder="请选择预计办结时间" style="width:80%;"></DatePicker>
              </FormItem>
            </Col>
            <Col span="3">
              <Poptip trigger="click" placement="bottom-end" width="400">
                <template slot="content">
                  <Steps :current="riskList.length" direction="vertical"  v-if="riskList && riskList.length > 0">
                    <Step v-for="(item, index) in riskList" v-bind:key="index">
                      <template slot="title">风险等级：{{item.risk_level}}级</template>
                      <template slot="content">操作人：{{item.create_name}}</template>
                    </Step>
                  </Steps>
                  <p v-else style="text-align: center;">暂无数据</p>
                </template>
                <Button type="primary" @click="getRiskList()">风险等级情况</Button>
              </Poptip>
            </Col>
            <Col span="3">
              <Poptip trigger="hover" placement="bottom-end">
                <template slot="content">
                  <div v-if="formInline.risk_level === '一般矛盾纠纷'">
                    <p class="risk-tishi mt30 p20">1.纠纷事实清楚，权利义务关系明确，利益损害轻微、争议不大，履行协议的矛盾纠纷。</p>
                    <p class="risk-tishi p20">2.公民之间、公民与法人以及其他社会组织之间发生的涉案人数较少，涉案金额较低的矛盾纠纷。</p>
                    <p class="risk-tishi mb20 p20">3.易发多发于邻里之间的小摩擦、日常生活中的小误会、轻微损害赔偿、侵权等领域的矛盾纠纷。</p>
                  </div>
                  <div v-else-if="formInline.risk_level === '复杂矛盾纠纷'">
                    <p class="risk-tishi mt30 p20">1.涉案标的金额5万元以下的矛盾纠纷。</p>
                    <p class="risk-tishi p20">2.涉案人数在5人以下的群体性矛盾纠纷。</p>
                    <p class="risk-tishi p20">3.各级信访部门交办，且案情较为复杂的矛盾纠纷。</p>
                    <p class="risk-tishi p20">4.积怨较深、成因复杂，虽经调解组织多次调解，但仍未化解的矛盾纠纷</p>
                    <p class="risk-tishi mb20 p20">5.家庭类、情感类、邻里类、经济类、土地类纠纷中，矛盾激烈、易引发刑事案件的矛盾纠纷。</p>
                  </div>
                  <div v-else-if="formInline.risk_level === '重大矛盾纠纷'">
                    <p class="risk-tishi mt30 p20">1.涉案标的金额5万元以上的矛盾纠纷。</p>
                    <p class="risk-tishi p20">2.涉案人数5人以上的群体性矛盾纠纷。</p>
                    <p class="risk-tishi p20">3.多年累积、反复性大、对当地社会稳定造成较大影响的矛盾纠纷</p>
                    <p class="risk-tishi p20">4.多人多次非正常上访、造成重大社会影响的信访纠纷。</p>
                    <p class="risk-tishi p20">5.终特大生产安全事故引发的矛盾纠纷。</p>
                    <p class="risk-tishi mb20 p20">6.上级党委、政府督办或党政领导交办的重大疑难矛盾纠纷。</p>
                  </div>
                </template>
                <Button>风险等级情况说明</Button>
              </Poptip>
            </Col>
          </Row>
          <Row>
            <Col span="6">
              <FormItem label="纠纷大类：" prop="info" :rules="[{required: true, message: '必填', trigger: 'change' }]">
                <Select v-model="formInline.info" :disabled="mdParam.what === 'edit'" @on-change="changeDispute(formInline.info)" style="width:90%">
                  <Option v-for="item in dictData.list1" :value="JSON.stringify(item)" :key="item.value">{{ item.label }}</Option>
                </Select>
              </FormItem>
            </Col>
            <Col span="6">
              <FormItem label="纠纷小类：" prop="event_type_id" :rules="[{required: true, message: '必填', trigger: 'change' }]">
                <Select v-model="formInline.event_type_id" :disabled="mdParam.what === 'edit'" style="width:90%">
                  <Option v-for="item in dictData.list2" :value="item.value" :key="item.value">{{ item.label }}</Option>
                </Select>
              </FormItem>
            </Col>
            <Col span="6">
              <FormItem label="发生时间：" prop="occurrence_time" :rules="[{required: true, type: 'date', message: '必填', trigger: 'change' }]">
                <DatePicker type="datetime" v-model="formInline.occurrence_time" :disabled="mdParam.what === 'edit'" placeholder="请选择发生时间"></DatePicker>
              </FormItem>
            </Col>
          </Row>
          <Row>
            <!-- <Col span="3">
              <FormItem prop="building_id" style="margin-left:-100px;">
                <Input v-model="formInline.building_id" :disabled="mdParam.what === 'edit'" style="width:90%;margin-left:0px;" placeholder="请输入楼" ></Input>
              </FormItem>
            </Col>
            <Col span="3">
              <FormItem prop="unit_id" style="margin-left:-100px;">
                <Input v-model="formInline.unit_id" :disabled="mdParam.what === 'edit'" style="width:90%;margin-left:0px;" placeholder="请输入单元"></Input>
              </FormItem>
            </Col>
            <Col span="3">
              <FormItem prop="floor_id" style="margin-left:-100px;">
                <Input v-model="formInline.floor_id" :disabled="mdParam.what === 'edit'" style="width:90%;margin-left:0px;" placeholder="请输入层"></Input>
              </FormItem>
            </Col>
            <Col span="3">
              <FormItem prop="doorplate_id" style="margin-left:-100px;">
                <Input v-model="formInline.doorplate_id" :disabled="mdParam.what === 'edit'" style="width:90%;margin-left:0px;" placeholder="请输入户"></Input>
              </FormItem>
            </Col> -->
          </Row>
          <Row>
            <Col span="24">
              <FormItem label="详细地址：" prop="address" :rules="[{required: true, message: '必填', trigger: 'blur' }]">
                <Input v-model="formInline.address" :disabled="mdParam.what === 'edit'" type="textarea" :rows="2"  placeholder="请输入详细地址"></Input>
              </FormItem>
            </Col>
          </Row>
          <Row>
            <Col span="24">
              <FormItem label="纠纷简述：" prop="dispute_description" :rules="[{required: true, message: '必填', trigger: 'blur' }]">
                <Input v-model="formInline.dispute_description" :disabled="mdParam.what === 'edit'" type="textarea" :rows="4"  placeholder="请输入详细地址"></Input>
              </FormItem>
            </Col>
          </Row>
          <Row>
          <div class="more-style" v-if="!pointShow"><div @click="changeMore" style="cursor: pointer;">{{moreTitle}}<i class="iconfont icon-shuangxianxiajiantou" style="margin-left:4px;font-size:12px;"></i></div></div>
          <div class="more-style" v-if="pointShow"><div @click="changeMore" style="cursor: pointer;">{{moreTitle}}<i class="iconfont icon-shuangxianshangjiantou" style="margin-left:4px;font-size:12px;"></i></div></div>
          <Row v-if="pointShow">
            <Col span="6">
              <FormItem label="重点事件：" prop="is_point_event">
                <Select :placeholder="mdParam.what === 'edit'? '' :'请选择'" v-model="formInline.is_point_event" :disabled="mdParam.what === 'edit'" style="width:90%">
                  <Option value="1">是</Option>
                  <Option value="2">否</Option>
                </Select>
              </FormItem>
            </Col>
            <Col span="5">
<!--              <FormItem label="纠纷发生地：" prop="city_id" :rules="[{required: true, message: '必填', trigger: 'change' }]">-->
                <FormItem label="纠纷发生地：" prop="city_id" >
                <Select v-model="formInline.city_id" :disabled="mdParam.what === 'edit'" @on-change="changeArea('2',formInline.city_id)" placeholder="请选择市" style="width:90%">
                  <Option v-for="item in areaData.list1" :value="item.parent_id" :key="item.parent_id">{{ item.name }}</Option>
                </Select>
              </FormItem>
            </Col>
            <Col span="3">
              <FormItem prop="area_id" :rules="[{required: true, message: '必填', trigger: 'change' }]" style="margin-left:-100px;">
                <Select v-model="formInline.area_id" :disabled="mdParam.what === 'edit'" @on-change="changeArea('3',formInline.area_id)" placeholder="请选择区" style="width:90%">
                  <Option v-for="item in areaData.list2" :value="item.parent_id" :key="item.parent_id">{{ item.name }}</Option>
                </Select>
              </FormItem>
            </Col>
            <Col span="3">
              <FormItem prop="street_id" :rules="[{required: true, message: '必填', trigger: 'change' }]" style="margin-left:-100px;">
                <Select v-model="formInline.street_id" :disabled="mdParam.what === 'edit'" @on-change="changeArea('4',formInline.street_id)" placeholder="请选择街道" style="width:90%;color: #0C0C0C">
                  <Option v-for="item in areaData.list3" :value="item.parent_id" :key="item.parent_id">{{ item.name }}</Option>
                </Select>
              </FormItem>
            </Col>
            <Col span="3">
              <FormItem prop="community_id" :rules="[{required: true, message: '必填', trigger: 'change' }]" style="margin-left:-100px;">
                <Select v-model="formInline.community_id" :disabled="mdParam.what === 'edit'" placeholder="请选择社区" style="width:90%">
                  <Option v-for="item in areaData.list4" :value="item.parent_id" :key="item.parent_id">{{ item.name }}</Option>
                </Select>
              </FormItem>
            </Col>
            <Col span="3">
              <FormItem prop="garden_id" style="margin-left:-100px;">
                <Input v-model="formInline.garden_id" :disabled="mdParam.what === 'edit'" style="width:90%;margin-left:0px;" placeholder="请输入网格" ></Input>
              </FormItem>
            </Col>
          </Row>
            <Col span="6">
              <FormItem label="上报人：">
                <Input disabled v-model="serverUserInfo.name" style="width:90%"></Input>
              </FormItem>
            </Col>
            <Col span="6">
              <FormItem label="上报人单位：">
                <Input disabled v-model="serverUserInfo.company_name" style="width:90%"></Input>
              </FormItem>
            </Col>
          </Row>
        </Form>
        <div class="title-style" v-if="formInline.is_resolve == '1'">化解过程</div>
        <Form :model="formInline" ref="form3" :disabled="mdParam.what === 'edit' && !mdParam.dispose" label-position="left" :label-width=150 v-if="formInline.is_resolve == '1'">
          <Row>
            <Col span="8">
              <FormItem label="化解人：" prop="resolve_name" :rules="[{required: true, message: '必填', trigger: 'blur' }]">
                <Input v-model="formInline.resolve_name" style="width:80%"  placeholder="请输入化解人"></Input>
              </FormItem>
            </Col>
            <Col span="8">
              <FormItem label="化解人所属单位：" prop="resolve_unit" :rules="[{required: true, message: '必填', trigger: 'blur' }]">
                <Input v-model="formInline.resolve_unit" style="width:80%"  placeholder="请输入化解人所属单位"></Input>
              </FormItem>
            </Col>
            <Col span="8">
              <FormItem label="化解层级：" prop="resolve_hierarchy" :rules="[{required: true, message: '必填', trigger: 'blur' }]">
                <Select v-model="formInline.resolve_hierarchy" style="width:80%">
                  <Option value="1">省级</Option>
                  <Option value="2">市级</Option>
                  <Option value="3">县级</Option>
                  <Option value="4">乡镇街道</Option>
                  <Option value="5">村/社区</Option>
                </Select>
              </FormItem>
            </Col>
            </Row>
          <Row>
            <Col span="8">
            <FormItem label="化解方式：" prop="resolve_hierarchy" :rules="[{required: true, message: '必填', trigger: 'blur' }]">
              <Select v-model="formInline.resolve_way " style="width:80%">
                <Option value="1">人民调解</Option>
                <Option value="2">行政调解</Option>
                <Option value="3">司法调解</Option>
                <Option value="4">行业调解</Option>
                <Option value="5">仲裁</Option>
                <Option value="6">诉讼</Option>
                <Option value="7">其他</Option>
              </Select>
            </FormItem>
          </Col>
            <Col span="8">
              <FormItem label="化解时间：" prop="resolve_time" :rules="[{required: true, type: 'date', message: '必填', trigger: 'change' }]">
                <DatePicker type="datetime" v-model="formInline.resolve_time" placeholder="请选择发生时间" style="width:80%" transfer></DatePicker>
              </FormItem>
            </Col>
            <Col span="8">
              <FormItem label="化解是否满意：" prop="is_satisfaction" :rules="[{required: true, message: '必填', trigger: 'change' }]">
                <Select v-model="formInline.is_satisfaction" placeholder="请选择是否满意" style="width:80%">
                  <Option value="1">是</Option>
                  <Option value="2">否</Option>
                </Select>
              </FormItem>
            </Col>
          </Row>
          <Row>
            <Col span="24">
              <FormItem label="化解过程描述：" prop="resolve_process" :rules="[{required: true, message: '必填', trigger: 'blur' }]">
                <Input v-model="formInline.resolve_process" type="textarea" :rows="4" placeholder="请选择化解过程描述"></Input>
            </FormItem>
            </Col>
          </Row>
          <Row>
            <Col span="24">
              <FormItem label="附件上传：" prop="resolve_process">
                <Upload action="http://jilinmdjf.lngov.top/api/ac/jilinsscgsdp/uploadService/uploadFile"
                        :show-upload-list="false" :before-upload="beforeUpload">
                  <Button icon="ios-cloud-upload-outline">上传图片</Button>
                </Upload>
              </FormItem>
            </Col>
          </Row>
          <img :src="imageUrl" alt="">
          <Row>
            <Col span="24">
              <div class="demo-upload-list" v-for="(item, index) in imgArr" v-bind:key="index">
                <template>
                  <img :src="item.url">
                  <div class="demo-upload-list-cover">
                      <Icon type="ios-eye-outline" @click.native="handleView(item, index)"></Icon>
                      <Icon type="ios-trash-outline" v-if="mdParam.what !== 'edit'" @click.native="handleRemove(index)"></Icon>
                  </div>
                </template>
              </div>
              <!-- <img v-if="imgUrl" :src="imgUrl" alt="" style="width:100px;height:100px;"> -->
            </Col>
          </Row>
        </Form>
        <div class="title-style" v-if="mdParam.level == 'street'">处置情况</div>
        <Form :model="formInline" ref="form4" :disabled="mdParam.what === 'edit' &&  mdParam.level !== 'community' && !mdParam.dispose" label-position="left" :label-width="130" v-if="mdParam.level == 'street'">
          <Row>
            <Col span="24">
              <FormItem label="处置过程描述：" prop="log_result" :rules="[{required: true, message: '必填', trigger: 'blur' }]">
                <Input v-model="formInline.log_result" type="textarea" :rows="4" placeholder="请输入处置过程描述"></Input>
              </FormItem>
            </Col>
          </Row>
        </Form>
        <div class="title-style" v-if="mdParam.what === 'edit' && mdParam.level == 'grid' && mdParam.type == '1' && mdParam.wgyBj || formInline.event_check">核查情况</div>
        <Form :model="formInline" ref="form5" label-position="left" :label-width="130" v-if="mdParam.what === 'edit' && mdParam.level == 'grid' && mdParam.type == '1' && mdParam.wgyBj || formInline.event_check">
          <Row>
            <Col span="24">
              <FormItem label="核查内容描述：" prop="event_check" :rules="[{required: true, message: '必填', trigger: 'blur' }]">
              <Input :disabled="mdParam.what === 'edit' && mdParam.level == 'grid' && mdParam.type == '1' && formInline.event_check && mdParam.wgyBj !== true" v-model="formInline.event_check" type="textarea" :rows="4" placeholder="请输入核查内容"></Input>
            </FormItem>
            </Col>
          </Row>
        </Form>
        <div class="flex-div">
          <Button type="primary" class="mr10" v-if="serverUserInfo.company_grade !== '2' && mdParam.flag === 'add' && formInline.is_resolve !== '1' && personInfo.num !== 1" @click="report('form1')">上报</Button>
          <Button type="primary" class="mr10" v-if="mdParam.level === 'street' && formInline.status !== '3' && mdParam.dispose === 'dispose'" @click="dispose('form4')">处置</Button>
          <Button type="primary" class="mr10" v-if="this.formInline.status !== '3' && formInline.is_resolve === '1'" @click="complete()">办结</Button>
          <Button type="primary" class="mr10" v-if="mdParam.risk" @click="riskAndReport()">上报</Button>
          <Button type="primary" class="mr10" v-if="serverUserInfo.company_grade !== '6' && mdParam.flag === 'add' && formInline.is_resolve !== '1'" @click="cross('form1')">横传</Button>
          <Button type="primary" class="mr10" v-if="serverUserInfo.company_grade !== '6' && mdParam.flag === 'add' && formInline.is_resolve !== '1' && personInfo.num === 0" @click="lowerFaction('form1')">下派</Button>
          <!-- <Button type="primary" class="mr5" @click="returnBack(row)" v-if="formInline.status === '1'  && type === '2'">退回</Button> -->
          <!-- <Button type="success" class="mr10">办结</Button> -->
        </div>
      </TabPane>
      <TabPane label="进度信息" name="2" v-if="mdParam.id">
        <Card>
          <Steps :current="current" direction="vertical">
            <Step v-for="(item, index) in processList" v-bind:key="index">
              <template slot="title" v-if="item.processList">
                <Steps>
                  <Step v-for="(item1, index1) in item.processList" v-bind:key="index1" style="width:300px;">
                    <template slot="title">
                      {{item1.hierarchy_name}}
                    </template>
                    <template slot="content">
                      <div v-if="item1.complete_time">完成时间：{{item1.complete_time}}</div>
                      <div v-if="item1.receive_time">受理时间：{{item1.receive_time}}</div>
                    </template>
                  </Step>
                </Steps>
              </template>
              <template slot="title" v-else-if="!item.processList">
                {{item.hierarchy_name}}
              </template>
              <template slot="content" v-if="!item.processList">
                <div v-if="item.complete_time">完成时间：{{item.complete_time}}</div>
                <div v-if="item.receive_time">受理时间：{{item.receive_time}}</div>
              </template>
            </Step>
          </Steps>
        </Card>
      </TabPane>
    </Tabs>
    <Modal v-model="modal1" title="提示">
      <p>{{confirmTtile}}</p>
      <div slot="footer">
        <Button type="default" @click="modal1 = false">取消</Button>
        <Button type="primary" @click="save">确定</Button>
      </div>
    </Modal>
    <Modal title="查看图片" v-model="visible">
      <img :src="imgName" v-if="visible" style="width: 100%">
    </Modal>
    <Modal v-model="modal2" title="横传机构">
      <Row>
        <Col span="24">
          <span>横传机构：</span>
          <Select v-model="crossOfficeIds" multiple style="width:80%">
            <Option v-for="(item, index) in crossList" :value="item.crossOfficeId" :key="index">{{ item.name }}</Option>
          </Select>
        </Col>
      </Row>
      <div slot="footer">
        <Button type="default" @click="modal2 = false">取消</Button>
        <Button type="primary" @click="crossEventData">确定</Button>
      </div>
    </Modal>
    <Modal v-model="modal3" title="下派机构">
      <Row>
        <Col span="24">
          <span>下派机构：</span>
          <Select v-model="crossOfficeId" style="width:80%">
            <Option v-for="(item, index) in lowerList" :value="item.crossOfficeId" :key="index">{{ item.name }}</Option>
          </Select>
        </Col>
      </Row>
      <div slot="footer">
        <Button type="default" @click="modal3 = false">取消</Button>
        <Button type="primary" @click="lowerEventData">确定</Button>
      </div>
    </Modal>
  </div>
</template>
<script>
import {
  insertEvent,
  selectDictList,
  selectCityList,
  getEventLogByCreateId,
  getEventLogById,
  // updateEventAcceptance,
  insertEventEnd, insertEventFlowLog, findFlowLogProcessList, getEventAllAsc, uploadFile, selectEventIdByAttachList, updateEventCompletion,
  selectRiskLevelList, selectJuniorList, selectOfficeFaxList, getFaxById
} from '@/api/contradiction.js'
import { datetime2str } from '@/api/eventlist.js'
import validateData from '../../contradiction/validate.js'
import axios from 'axios'
export default {
  inject: ['reload'],
  name: 'registerAdd',
  data () {
    return {
      moreTitle: '更多',
      pointShow: false,
      imgName: '',
      visible: false,
      tabValue: '1',
      confirmTtile: '',
      personInfo: {},
      modal1: false,
      modal2: false, // 横传模态框
      modal3: false, // 下派模态框
      crossList: '',
      lowerList: [],
      crossOfficeIds: [],
      crossOfficeId: '',
      isEmpty: validateData.isEmpty,
      formInline: {
        userList: [
          { event_user_type: '' }
          // ... more items
        ],
        info: '',
        garden_id: '',
        building_id: ''
      },
      rules: {},
      formData: {
        personList: [{
          event_user_type: ''
        }]
      },
      dictData: {
        list1: [],
        list2: []
      },
      dictNextData: [],
      disputeInfo: {
        event_type: '2' // 纠纷
      },
      areaData: {
        list1: [],
        list2: [],
        list3: [],
        list4: []
      },
      param: {
        pageNo: 1,
        pageSize: 10
      },
      url: '',
      dataParam: {},
      successFlag: [],
      processList: [],
      current: 1,
      imgUrl: '',
      imgArr: [],
      uniUuid: '',
      imageUrl: null,
      urlList: [],
      url111: '',
      riskContent: '1.纠纷事实清楚，权利义务关系明确，利益损害轻微、争议不大，履行协议的矛盾纠纷。2.公民之间、公民与法人以及其他社会组织之间发生的涉案人数较少，涉案金额较低的矛盾纠纷。3.易发多发于邻里之间的小摩擦、日常生活中的小误会、轻微损害赔偿、侵权等领域的矛盾纠纷。',
      riskList: []
    }
  },
  computed: {
    serverUserInfo () {
      return this.$store.state.user.severUserInfo
    }
  },
  props: ['mdParam'],
  mounted () {
    this.imgArr = []
    this.getFaxData()
    this.getDictList('1')
    this.getCityData('1')
    this.url = this.mdParam.type === '1' ? getEventLogByCreateId : this.mdParam.type === '2' ? getEventLogById : this.mdParam.type === '3' ? getEventLogById : getEventAllAsc // type=1是网格事件列表，2是社区事件列表，3是街道区市省事件列表，不传是矛盾查询列表，是单独的列表页面
    if (this.mdParam.id) {
      this.getInfo()
      this.getImg()
    }
    this.getProcessList()
    this.getCrossData()
    this.getLowerData()
  },
  methods: {
    getFaxData () { // 查询当前账号是单位还是综治中心num=1则为单位 等于0是综治中心
      getFaxById({}).then(res => {
        if (res.data.errcode === 0) {
          this.personInfo = res.data.data
          console.log(this.personInfo, '个人信息')
          return
        }
        this.$Message.error(res.errmsg)
      })
    },
    changeMore () {
      this.pointShow = !this.pointShow
      this.moreTitle = this.pointShow === true ? '隐藏' : '更多'
    },
    getReload () {
      this.reload()
    },
    getDictList (level, id, event_type_id, event_category_id) {
      selectDictList({ type: 'event_category', parent_id: id }).then(res => {
        if (res.data.errcode === 0) {
          this.dictData['list' + level] = res.data.data
          console.log(this.dictData, '字典')
          if (event_category_id) {
            let list1 = this.dictData['list' + level]
            list1.forEach(element => {
              if (element.label === event_category_id) {
                this.formInline.info = JSON.stringify(element)
                if (this.formInline.event_type_id) {
                  this.getDictList('2', element.id, this.formInline.event_type_id, '')
                }
              }
            })
          }
          if (event_type_id) {
            console.log(event_type_id, this.dictData.list2, 111223123)
            this.dictData.list2.forEach(element => {
              if (event_type_id === element.label) {
                this.formInline.event_type_id = element.value
                console.log('11111')
              }
            })
          }
          return
        }
        this.$Message.error(res.errmsg)
      })
    },
    getCityData (level, id) {
      selectCityList({ parent_id: id }).then(res => {
        if (res.data.errcode === 0) {
          this.areaData['list' + level] = res.data.data
          return
        }
        this.$Message.error(res.errmsg)
      })
    },
    changeDispute (item) {
      this.formInline.event_category_id = JSON.parse(item).value
      this.getDictList('2', JSON.parse(item).id)
    },
    changeArea (level, parent_id) {
      this.getCityData(level, parent_id)
    },
    addPerson () { // 添加当事人
      this.$refs['form1'].validate((valid) => {
        if (valid) {
          console.log('success')
          this.formInline.userList.push({ event_user_type: '' })
          // this.insertEventData()
        } else {
          console.log('fail')
          return false
        }
      })
    },
    checkUserType (type) {
      console.log(type, '类型')
    },
    deletePerson (index) {
      if (confirm('确定删除该当事人吗？')) {
        this.formInline.userList.splice(index, 1)
      }
    },
    report () {
      this.successFlag = []
      if (this.formInline.is_resolve === '1') { // 如果已经化解
        this.$refs['form1'].validate((valid) => {
          if (valid) {
            console.log('success1')
            this.successFlag.push(true)
          } else {
            console.log('fail')
            this.successFlag.push(false)
            return false
          }
        })
        this.$refs['form2'].validate((valid) => {
          if (valid) {
            console.log('success2')
            this.successFlag.push(true)
            // this.insertEventData()
          } else {
            console.log('fail')
            this.successFlag.push(false)
            return false
          }
        })
        this.$refs['form3'].validate((valid) => {
          if (valid) {
            console.log('success3')
            this.successFlag.push(true)
            // this.insertEventData()
          } else {
            console.log('fail')
            this.successFlag.push(false)
            return false
          }
        })
      } else { // 未化解
        this.$refs['form1'].validate((valid) => {
          if (valid) {
            console.log('success1')
            this.successFlag.push(true)
          } else {
            console.log('fail')
            this.successFlag.push(false)
            return false
          }
        })
        this.$refs['form2'].validate((valid) => {
          if (valid) {
            console.log('success2')
            this.successFlag.push(true)
          } else {
            console.log('fail')
            this.successFlag.push(false)
            return false
          }
        })
      }
      let flag = this.successFlag.every(item => {
        return item === true
      })
      console.log(flag, 'flagflag')
      if (flag) {
        this.insertEventData()
      }
    },
    getCrossData () {
      selectOfficeFaxList().then(res => {
        if (res.data.errcode === 0) {
          this.crossList = res.data.data
          return
        }
        this.$Message.error(res.errmsg)
      })
    },
    getLowerData () {
      selectJuniorList().then(res => {
        if (res.data.errcode === 0) {
          this.lowerList = res.data.data
          return
        }
        this.$Message.error(res.errmsg)
      })
    },
    cross () { // 横传
      this.$refs['form1'].validate((valid) => {
        if (valid) {
          console.log('success1')
          this.successFlag.push(true)
        } else {
          console.log('fail')
          this.successFlag.push(false)
          return false
        }
      })
      this.$refs['form2'].validate((valid) => {
        if (valid) {
          console.log('success2')
          this.successFlag.push(true)
        } else {
          console.log('fail')
          this.successFlag.push(false)
          return false
        }
      })
      let flag = this.successFlag.every(item => {
        return item === true
      })
      console.log(flag, 'flagflag')
      if (flag) {
        this.modal2 = true
        // this.crossEventData() // 横传
      }
    },
    lowerFaction () { // 下派
      this.$refs['form1'].validate((valid) => {
        if (valid) {
          console.log('success1')
          this.successFlag.push(true)
        } else {
          console.log('fail')
          this.successFlag.push(false)
          return false
        }
      })
      this.$refs['form2'].validate((valid) => {
        if (valid) {
          console.log('success2')
          this.successFlag.push(true)
        } else {
          console.log('fail')
          this.successFlag.push(false)
          return false
        }
      })
      let flag = this.successFlag.every(item => {
        return item === true
      })
      console.log(flag, 'flagflag')
      if (flag) {
        this.modal3 = true
        // this.crossEventData() // 横传
      }
    },
    dispose () { // 处置
      this.$refs['form4'].validate((valid) => {
        if (valid) {
          console.log('success')
          if (this.formInline.is_resolve === '1') { // 已化解
            this.$refs['form3'].validate((valid) => {
              if (valid) {
                console.log()
                let data = {
                  id: this.formInline.event_id,
                  log_result: this.formInline.log_result,
                  is_special_tasks: this.formInline.is_special_tasks,
                  status: this.formInline.status,
                  flow_version: this.formInline.flow_version,
                  flow_id: this.formInline.flow_id,
                  log_type: '2',
                  is_resolve: this.formInline.is_resolve,
                  resolve_name: this.formInline.resolve_name,
                  resolve_unit: this.formInline.resolve_unit,
                  resolve_hierarchy: this.formInline.resolve_hierarchy,
                  resolve_time: datetime2str(this.formInline.resolve_time),
                  is_satisfaction: this.formInline.is_satisfaction,
                  resolve_process: this.formInline.resolve_process
                }
                insertEventFlowLog(data).then(ret => {
                  if (ret.data.errcode === 0) {
                    this.$Message.success('操作成功')
                    this.$router.push({
                      name: 'contradictionRegister',
                      query: {
                        type: this.mdParam.type
                      }
                    })
                  }
                })
              }
            })
          } else { // 未化解
            // this.$Message.error('事件未化解不可进行处置')
          }
          // 处置
        } else {
          console.log('fail')
          return false
        }
      })
    },
    complete () { // 确认办结（网格员录入时候直接办结或者上报到街道处置后网格员再次进行办结）
      this.successFlag = []
      if (this.mdParam.wgyBj) { // 上报到街道处置后网格员再次进行办结
        console.log('上报到街道处置后网格员再次进行办结')
        this.$refs['form5'].validate((valid) => {
          if (valid) {
            console.log('核查内容已填写')
            this.successFlag.push(true)
            this.url = updateEventCompletion
            let param = {
              id: this.formInline.event_id,
              is_special_tasks: this.formInline.is_special_tasks,
              status: this.formInline.status,
              flow_version: this.formInline.flow_version,
              flow_id: this.formInline.flow_id,
              log_type: '2',
              event_check: this.formInline.event_check
            }
            this.dataParam = param
            this.modal1 = true
            this.confirmTtile = '此事件已处置完成，是否办结？'
          } else {
            console.log('fail')
            this.successFlag.push(false)
            return false
          }
        })
      } else { // 网格员录入时候直接办结
        console.log('网格员录入时候直接办结')
        this.url = insertEventEnd
        let param = {}
        if (this.formInline.occurrence_time) {
          this.formInline.occurrence_time = datetime2str(this.formInline.occurrence_time)
        }
        if (this.formInline.resolve_time) {
          this.formInline.resolve_time = datetime2str(this.formInline.resolve_time)
        }
        param = Object.assign(this.formInline)
        param['userList'] = this.formInline.userList
        param['event_source'] = '1'
        param['reporting_name'] = this.serverUserInfo.name
        param['reporting_unit'] = this.serverUserInfo.company_name
        param['event_type'] = '2'
        param['urlList'] = this.urlList
        console.log(param, '办结入参')
        this.dataParam = param
        this.modal1 = true
        this.confirmTtile = '此事件已处置完成，是否办结？'
      }
    },
    insertEventData () { // 调用上报接口
      console.log('调用上报接口')
      let param = {}
      if (this.formInline.occurrence_time) {
        this.formInline.occurrence_time = datetime2str(this.formInline.occurrence_time)
      }
      if (this.formInline.resolve_time) {
        this.formInline.resolve_time = datetime2str(this.formInline.resolve_time)
      }
      param = Object.assign(this.formInline)
      param['userList'] = this.formInline.userList
      param['event_source'] = '1'
      param['reporting_name'] = this.serverUserInfo.name
      param['reporting_unit'] = this.serverUserInfo.company_name
      param['event_type'] = '2'
      param['log_type'] = '1' // 除了省都可上报，上报增加入参log_type=1
      param['urlList'] = this.urlList
      console.log(param, '入参1')
      insertEvent(param).then(res => {
        if (res.data.errcode === 0) {
          this.$Message.success('上报成功')
          let type = ''
          if (this.serverUserInfo.company_grade === '6') {
            if (this.serverUserInfo.name.indexOf('网格员') !== -1) { // 网格员
              type = '1'
            } else {
              type = '2'
            }
          } else {
            type = '3'
          }
          this.$router.push({
            name: 'contradictionRegister',
            query: {
              type: type
            }
          })
          return
        }
        this.$Message.error(res.data.errmsg)
      })
    },
    crossEventData () { // 调用横传接口
      console.log('调用横传接口')
      let param = {}
      if (this.formInline.occurrence_time) {
        this.formInline.occurrence_time = datetime2str(this.formInline.occurrence_time)
      }
      if (this.formInline.resolve_time) {
        this.formInline.resolve_time = datetime2str(this.formInline.resolve_time)
      }
      param = Object.assign(this.formInline)
      param['userList'] = this.formInline.userList
      param['event_source'] = '1'
      param['reporting_name'] = this.serverUserInfo.name
      param['reporting_unit'] = this.serverUserInfo.company_name
      param['event_type'] = '2'
      param['log_type'] = '5' // 街道、区、市、省可横传，横传增加入参log_type=5
      param['urlList'] = this.urlList
      if (this.crossOfficeIds) {
        param['officeList'] = this.crossOfficeIds
      }
      console.log(param, '横传入参1')
      insertEvent(param).then(res => {
        if (res.data.errcode === 0) {
          this.$Message.success('横传成功')
          let type = ''
          type = '3'
          this.$router.push({
            name: 'contradictionRegister',
            query: {
              type: type
            }
          })
          return
        }
        this.$Message.error(res.data.errmsg)
      })
    },
    lowerEventData () { // 调用下派接口
      console.log('调用下派接口')
      let param = {}
      if (this.formInline.occurrence_time) {
        this.formInline.occurrence_time = datetime2str(this.formInline.occurrence_time)
      }
      if (this.formInline.resolve_time) {
        this.formInline.resolve_time = datetime2str(this.formInline.resolve_time)
      }
      param = Object.assign(this.formInline)
      param['userList'] = this.formInline.userList
      param['event_source'] = '1'
      param['reporting_name'] = this.serverUserInfo.name
      param['reporting_unit'] = this.serverUserInfo.company_name
      param['event_type'] = '2'
      param['log_type'] = '6' // 街道、区、市、省综治中心可下派，下派增加入参log_type=6
      param['urlList'] = this.urlList
      if (this.crossOfficeId) {
        param['crossOfficeId'] = this.crossOfficeId
      }
      console.log(param, '下派入参1')
      insertEvent(param).then(res => {
        if (res.data.errcode === 0) {
          this.$Message.success('下派成功')
          let type = ''
          type = '3'
          this.$router.push({
            name: 'contradictionRegister',
            query: {
              type: type
            }
          })
          return
        }
        this.$Message.error(res.data.errmsg)
      })
    },
    save () {
      this.url(this.dataParam).then(res => {
        if (res.data.errcode === 0) {
          this.$Message.success('成功')
          this.modal1 = false
          this.$router.push({
            name: 'contradictionRegister',
            query: {
              type: this.mdParam.query.type
            }
          })
          return
        }
        this.$Message.error(res.data.errmsg)
      })
    },
    getInfo () {
      this.url({ id: this.mdParam.id }).then(res => {
        if (res.data.errcode === 0) {
          this.formInline = res.data.data
          if (this.formInline.city_id) {
            this.getCityData('2', this.formInline.city_id)
          }
          if (this.formInline.area_id) {
            this.getCityData('3', this.formInline.area_id)
          }
          if (this.formInline.street_id) {
            this.getCityData('4', this.formInline.street_id)
          }
          if (this.formInline.event_category_id) {
            this.getDictList('1', '', '', this.formInline.event_category_id) // level,一级id，二级id，用于回显的一级id
          }
          console.log(this.formInline, '详情')
          return
        }
        this.$Message.error(res.data.errmsg)
      })
    },
    riskAndReport () { // 社区以上层级上报（可修改风险等级和办结期限）
      if (confirm('确定上报该事件吗？')) {
        let dataParam = {
          is_special_tasks: '2',
          id: this.formInline.event_id,
          flow_version: this.formInline.flow_version,
          status: this.formInline.status,
          flow_id: this.formInline.flow_id,
          log_type: this.formInline.log_type,
          risk_level: this.formInline.risk_level,
          term_time: datetime2str(this.formInline.term_time)
        }
        insertEventFlowLog(dataParam).then(res => {
          if (res.data.errcode === 0) {
            this.$Message.success('上报成功')
            this.$router.push({
              name: 'contradictionRegister',
              query: {
                type: this.mdParam.type
              }
            })
            return
          }
          this.$Message.error(res.data.errmsg)
        })
      }
    },
    getImg () {
      selectEventIdByAttachList({ id: this.mdParam.id }).then(res => {
        if (res.data.errcode === 0) {
          let imgList = res.data.data
          imgList.forEach(element => {
            // 把后台返回的uuid传给接口
            let url = this.getImgUrl(element.uuid, element.suffix)
            console.log(url, 'memeiemieiei')
          })
          return
        }
        this.$Message.error(res.data.errmsg)
      })
    },
    getImgUrl (uuid, suffix) {
      let that = this
      axios({
        method: 'get',
        responseType: 'arraybuffer',
        url: '/api/ac/jilinsscgsdp/uploadService/getObsObject?uuid=' + uuid + '&&suffix=' + suffix
      }).then(function (res) {
        const base64String = btoa(
          new Uint8Array(res.data).reduce((data, byte) => data + String.fromCharCode(byte), '')
        )
        let url = 'data:image/png;base64,' + base64String
        that.imgArr.push({ url: url })
        // 调用下载方法，把后端传过来的流传给fileDownload方法
        // this.fileDownload(res.data, fileName)
      })
    },
    arrayBufferToBase64 (buffer) {
      var binary = ''
      var bytes = new Uint8Array(buffer)
      var len = bytes.byteLength
      for (var i = 0; i < len; i++) {
        binary += String.fromCharCode(bytes[i])
      }
      return window.btoa(binary)
    },
    getProcessList () {
      findFlowLogProcessList({ event_id: this.mdParam.id }).then(res => {
        if (res.data.errcode === 0) {
          this.processList = res.data.data
          if (this.processList[this.processList.length - 1].complete_time) {
            this.current = this.processList.length
          } else {
            this.current = this.processList.length - 1
          }
          console.log(this.processList, 'dfdddddddd')
          return
        }
        this.$Message.success(res.data.errmsg)
      })
    },
    getRiskList () {
      selectRiskLevelList({ event_id: this.formInline.event_id }).then(res => {
        if (res.data.errcode === 0) {
          this.riskList = res.data.data
          return
        }
        this.$Message.error(res.data.errmsg)
      })
    },
    // 上传图片前转base64
    beforeUpload (file) {
      let imgObj = {}
      const reader = new FileReader()
      reader.onload = (e) => {
        imgObj.url = e.target.result
        this.imgArr.push(imgObj)
      }
      reader.readAsDataURL(file)
      let formdata = new FormData()
      formdata.append('file', file)
      formdata.append('fileName', file.name)
      let form = {
        business_type: 'jlEvent'
      }
      formdata.append('json', JSON.stringify(form))
      uploadFile(formdata, form).then(res => {
        let len = this.imgArr.length
        this.imgArr[len - 1]['uuid'] = res.data.data.uuid
        this.urlList.push(res.data.data)
      })
      // return isLt2M
      // this.upPicData.fileName = this.upPicData.fileName + '.' + file.type.substring(6)
      // let that = this
      // const reader = new FileReader()
      // reader.readAsDataURL(file)
      // reader.onload = () => {
      //   let index = reader.result.indexOf('base64,') + 7
      //   that.upPicData.file = reader.result.substring(index)
      //   that.upPic(that.upPicData)
      // }
      // return false
    },
    handleView (item, index) {
      this.imgName = item.url
      this.visible = true
    },
    handleRemove (index) {
      this.imgArr.splice(index, 1)
      this.urlList.splice(index, 1)
      console.log(this.imgArr, this.urlList)
    }
  }
}
</script>
<style scoped lang="less">
 /deep/ input:disabled,textarea:disabled {
    opacity: 1;
    -webkit-text-fill-color: #515a6e;
    font-size: 14px;
  }

  /* 修改被禁用的Select组件的文本颜色 */
 /deep/ .ivu-select-disabled .ivu-select-selected-value{
    color: #515a6e; /* 修改为你想要的颜色 */
     font-size: 14px;
}
 /deep/ .ivu-select-disabled .ivu-select-placeholder{
    color: #515a6e; /* 修改为你想要的颜色 */
     font-size: 14px;
}
/deep/ .ivu-input-disabled{
 color: #515a6e !important; /* 修改为你想要的颜色 */
  font-size: 14px;
}
/deep/ .ivu-form .ivu-form-item-label{
  font-size: 14px;
}
.contradiction-div {
    // padding: 10px;
    background: #fff;
    padding:10px;
     font-size: 14px;
    .title-style {
      padding: 8px 12px;
      background-color: #ecf8ff;
      border-radius: 4px;
      border-left: 5px solid #50bfff;
      margin: 15px 0;
      font-size: 16px;
      width: 100%;
    }
    .more-style {
      background-color: #ecf8ff;
      width: 70px;
      padding: 8px 12px;
      border-radius: 4px;
    }
  }
  .red-star {
    color: red;
  }
  .flex-div {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
  }
  //.Input{
  //  color: black;
  //}
  .mr10 {
    margin-right: 10px;
  }
  .mt30 {
    margin-top: 30px;
  }
  .mb20 {
    margin-bottom: 20px;
  }
  .risk-tishi {
    // margin-bottom: 10px;
    color:red;
    font-size: 20px;
  }
  .p20 {
    padding: 0px 30px 10px 30px;
  }
  .level-option-img{
    width: 20px;
    height: 20px;
    vertical-align: middle;
    margin-bottom: 3px;
  }
</style>
